// primProfile.cc -- profiling primitives
// 
// Author: Ian.Piumarta@INRIA.Fr
// 
// Last edited: 2000-10-17 17:40:42 by piumarta on emilia.rd.wdi.disney.com


#include "Profiler.h"


#ifndef PROFILER 

void j_clearProfile(void)
{
}


void j_dumpProfile(void)
{
}


void j_startProfiling(void)
{
}


void j_stopProfiling(void)
{
};

#else // PROFILER

void j_clearProfile(void)
{
  Profiler::clear();
}


void j_dumpProfile(void)
{
  Profiler::dump();
}


void j_startProfiling(void)
{
  Profiler::start();
}


void j_stopProfiling(void)
{
  Profiler::stop();
};

#endif // PROFILER
